2021-02-27 11:17 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001139Frama-CKernelpublic2014-02-12 16:59
Reporterpatrick 
Assigned Topatrick 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001139: unrolling labeled loops
Descriptionfoward gotos to unrolled loop are transformed into goto to undefined labels.
Additional Information> cat file
void g (int j) {
  if (j==0) goto zero;
  return;
 zero:
  //@ loop pragma UNROLL_LOOP 3;
  while (j<5) {j++;}
}
> frama-c -print file.c
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004706

patrick (developer)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2012-04-02 13:54 patrick New Issue
2012-04-02 13:54 patrick Status new => assigned
2012-04-02 13:54 patrick Assigned To => patrick
2012-04-02 13:55 svn
2012-04-02 13:55 svn Status assigned => resolved
2012-04-02 13:55 svn Resolution open => fixed
2012-04-02 13:59 svn
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2013-12-19 01:12 patrick Source_changeset_attached => framac master 70965aad
2013-12-19 01:12 patrick Source_changeset_attached => framac master fd0fc8ce
2014-02-12 16:54 patrick Source_changeset_attached => framac stable/neon 70965aad
2014-02-12 16:54 patrick Source_changeset_attached => framac stable/neon fd0fc8ce
2014-02-12 16:59 patrick Note Added: 0004706
2014-02-12 16:59 patrick Status closed => resolved
+Issue History